#-------------------------------------------------
#
# Project created by QtCreator 2018-03-14T09:54:35
#
#-------------------------------------------------

QT       += core gui

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

TARGET = QHYCCD_Demo
TEMPLATE = app

SOURCES += \
    src/main.cpp \
    src/qhyccddemo.cpp \
    src/singlemodethread.cpp \
    src/singlemodethread_2.cpp

HEADERS  += \
    include/camstruct.h \
    include/qhyccddemo.h \
    include/singlemodethread.h \
    include/singlemodethread_2.h \
    include/fitsio.h \
    include/fitsio2.h \
    include/longnam.h \

FORMS    += ui/qhyccddemo.ui


INCLUDEPATH += include

unix:{
    INCLUDEPATH += /usr/include/libusb-1.0
    INCLUDEPATH += /usr/local/include

#   For Arm32
    LIBS += -L/usr/local/lib -lqhyccd
    LIBS += -L/usr/lib/arm-linux-gnueabihf -lopencv_imgproc -lopencv_highgui -lopencv_core -lopencv_imgcodecs
    LIBS += -L/usr/lib/arm-linux-gnueabihf -lusb-1.0
##   For Arm64
#    LIBS += -L/usr/local/lib -lqhyccd
#    LIBS += -L/usr/lib/aarch64-linux-gnu -lopencv_imgproc -lopencv_highgui -lopencv_core -lopencv_imgcodecs
#    LIBS += -L/usr/lib/aarch64-linux-gnu -lusb-1.0 -lcfitsio
##   For Arm32
#    LIBS += -L/usr/local/lib -lqhyccd
#    LIBS += -L/usr/lib/x86_64-linux-gnu -lopencv_imgproc -lopencv_highgui -lopencv_core -lopencv_imgcodecs
#    LIBS += -L/usr/lib/x86_64-linux-gnu -lusb-1.0 -lcfitsio
}

win32: {
    message($$PWD)

    contains(QT_ARCH, i386) {
        INCLUDEPATH += -I$$PWD/include

        LIBS += -L$$PWD/winlib/x86 -lqhyccd -lcfitsio

        QMAKE_POST_LINK += echo @ECHO OFF >> config.bat &
        QMAKE_POST_LINK += echo SETLOCAL ENABLEDELAYEDEXPANSION >> config.bat &
        CONFIG(debug, debug|release) {
            QMAKE_POST_LINK += echo PATH=$$PWD/Depend/x86/*.dll >> config.bat &
            QMAKE_POST_LINK += echo copy %%PATH:/=\%% .\debug >> config.bat &
        }else{
            QMAKE_POST_LINK += echo PATH=$$PWD/Depend/x86/*.dll >> config.bat &
            QMAKE_POST_LINK += echo copy %%PATH:/=\%% .\release >> config.bat &
        }
    } else {
        INCLUDEPATH += -I$$PWD/include

        LIBS += -L$$PWD/winlib/x64 -lqhyccd -lcfitsio

        QMAKE_POST_LINK += echo @ECHO OFF >> config.bat &
        QMAKE_POST_LINK += echo SETLOCAL ENABLEDELAYEDEXPANSION >> config.bat &
        CONFIG(debug, debug|release) {
            QMAKE_POST_LINK += echo PATH=$$PWD\Depend/x64/*.dll >> config.bat &
            QMAKE_POST_LINK += echo copy %%PATH:/=\%% .\debug >> config.bat &
        }else{
            QMAKE_POST_LINK += echo PATH=$$PWD/Depend/x64/*.dll >> config.bat &
            QMAKE_POST_LINK += echo copy %%PATH:/=\%% .\release >> config.bat &
        }
    }

    CONFIG(release, debug|release) {
        QMAKE_POST_LINK += echo mkdir .\release\platforms >> config.bat &
        QMAKE_POST_LINK += echo PATH=$$[QT_HOST_DATA]/plugins/platforms/qminimal.dll >> config.bat &
        QMAKE_POST_LINK += echo copy %%PATH:/=\%% .\release\platforms >> config.bat &
        QMAKE_POST_LINK += echo PATH=$$[QT_HOST_DATA]/plugins/platforms/qoffscreen.dll >> config.bat &
        QMAKE_POST_LINK += echo copy %%PATH:/=\%% .\release\platforms >> config.bat &
        QMAKE_POST_LINK += echo PATH=$$[QT_HOST_DATA]/plugins/platforms/qwindows.dll >> config.bat &
        QMAKE_POST_LINK += echo copy %%PATH:/=\%% .\release\platforms >> config.bat &
        QMAKE_POST_LINK += echo PATH=$$[QT_HOST_DATA]/bin/Qt5Core.dll >> config.bat &
        QMAKE_POST_LINK += echo copy %%PATH:/=\%% .\release >> config.bat &
        QMAKE_POST_LINK += echo PATH=$$[QT_HOST_DATA]/bin/Qt5Gui.dll >> config.bat &
        QMAKE_POST_LINK += echo copy %%PATH:/=\%% .\release >> config.bat &
        QMAKE_POST_LINK += echo PATH=$$[QT_HOST_DATA]/bin/Qt5Widgets.dll >> config.bat &
        QMAKE_POST_LINK += echo copy %%PATH:/=\%% .\release >> config.bat &
        QMAKE_POST_LINK += echo PATH=$$[QT_HOST_DATA]/bin/libgcc_s_dw2-1.dll >> config.bat &
        QMAKE_POST_LINK += echo copy %%PATH:/=\%% .\release >> config.bat &
        QMAKE_POST_LINK += echo PATH=$$[QT_HOST_DATA]/bin/libstdc*.dll >> config.bat &
        QMAKE_POST_LINK += echo copy %%PATH:/=\%% .\release >> config.bat &
        QMAKE_POST_LINK += echo PATH=$$[QT_HOST_DATA]/bin/libwinpthread-1.dll >> config.bat &
        QMAKE_POST_LINK += echo copy %%PATH:/=\%% .\release >> config.bat &
    }
    QMAKE_POST_LINK += .\config.bat
}
