#include <QImage>
#include "qhyccd.h"
#include "singlemodethread.h"
#include "singlemodethread_2.h"
#include "camstruct.h"

#ifndef QHYCCDDEMO_H
#define QHYCCDDEMO_H

#include <QMainWindow>

//using namespace cv;

namespace Ui {
class QHYCCDDemo;
}

class QHYCCDDemo : public QMainWindow
{
    Q_OBJECT

public:
    explicit QHYCCDDemo(QWidget *parent = 0);
    ~QHYCCDDemo();

    uint32_t ret = QHYCCD_ERROR;

    SingleModeThread *singleThread;
    SingleModeThread_2 *singleThread_2;

private:
    Ui::QHYCCDDemo *ui;

    void closeEvent(QCloseEvent *event);
    void FITwrite(QString filename, int ImageWidth, int ImageHeight, int ImageBpp, int ImageChannel, unsigned char *Buf);

private slots:
    void on_pBtn_ScanCamera_clicked();
    void on_comboBox_CameraList_currentTextChanged(const QString &arg1);
    void on_pBtn_Connect_clicked();
    void on_pBtn_Disconnect_clicked();
    void processImageData();
    void on_pBtn_Capture_clicked();
    void on_pBtn_Cancel_clicked();
    void on_comboBox_Format_currentTextChanged(const QString &arg1);
    void on_comboBox_Bin_currentTextChanged(const QString &arg1);
    void on_spinBox_Exposure_valueChanged(int arg1);
    void on_comboBox_Unit_currentTextChanged(const QString &arg1);
    void on_hSlider_Exposure_valueChanged(int value);
    void on_hSlider_Gain_valueChanged(int value);
    void on_spinBox_Gain_valueChanged(int arg1);
    void on_hSlider_Offset_valueChanged(int value);
    void on_spinBox_Offset_valueChanged(int arg1);

    void on_pBtn_ScanCamera_2_clicked();
    void on_comboBox_CameraList_2_currentTextChanged(const QString &arg1);
    void on_pBtn_Connect_2_clicked();
    void on_pBtn_Disconnect_2_clicked();
    void processImageData_2();
    void on_pBtn_Capture_2_clicked();
    void on_pBtn_Cancel_2_clicked();
    void on_comboBox_Format_2_currentTextChanged(const QString &arg1);
    void on_comboBox_Bin_2_currentTextChanged(const QString &arg1);
    void on_spinBox_Exposure_2_valueChanged(int arg1);
    void on_comboBox_Unit_2_currentTextChanged(const QString &arg1);
    void on_hSlider_Exposure_2_valueChanged(int value);
    void on_hSlider_Gain_2_valueChanged(int value);
    void on_spinBox_Gain_2_valueChanged(int arg1);
    void on_hSlider_Offset_2_valueChanged(int value);
    void on_spinBox_Offset_2_valueChanged(int arg1);
};

#endif // QHYCCDDEMO_H
